@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url("https://fonts.googleapis.com/css?family=Roboto:400,500");
@import url("https://fonts.googleapis.com/css?family=Roboto");

html,
body {
    font-family: 'Roboto';
}

a,
.btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: row;
}

.e-bigger {
    font-size: x-large;
}

.e-large {
    font-size: 18px !important;
    line-height: 1.8em;
    padding: 2px 12px 1px;
}

.but-container,
.but-container-Trans {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    cursor: pointer;
    padding: 14px;
    z-index: 1600;
    display: flex;
}

.but-container {
    background: url(../images/bbbackslim.jpg);
}

.but-container-Trans {
    background: #b65f5f00;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

.main .top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
}

.main .top-row > a {
    margin-left: 1.5rem;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.sidebar .top-row {
    background-color: rgba(0, 0, 0, 0.4);
}

.sidebar .navbar-brand {
    font-size: 1.1rem;
}

.sidebar .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

.nav-item:first-of-type {
    padding-top: 1rem;
}

.nav-item:last-of-type {
    padding-bottom: 1rem;
}

.nav-item a {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: flex;
    align-items: center;
    line-height: 3rem;
}

.nav-item a.active {
    background-color: rgba(255, 255, 255, 0.25);
    color: white;
}

.nav-item a:hover {
    background-color: rgba(255, 255, 255, 0.1);
    color: white;
}

.content {
    padding-top: 3rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.ibox {
    clear: both;
    margin-bottom: 25px;
    margin-top: 10px;
    padding: 0;
    width: 80px;
}

.ibox-title,
.statbox-title {
    background-color: #615e5e;
    border-color: grey;
    border-image: none;
    border-style: solid solid none;
    border-width: 3px 0 0;
    color: inherit;
    margin-bottom: 0;
    padding: 14px 15px 7px;
    min-height: 48px;
}

.ibox-content,
.statbox-content {
    background: #0a0a0a;
    color: inherit;
    padding-top: 12px;
    padding: 10px 10px 10px 14px;
    border-color: grey;
    border-image: none;
    border-style: solid solid none;
    border-width: 1px 0;
}

.statbox {
    clear: both;
    margin-bottom: 25px;
    margin-top: 10px;
    padding: 0;
    width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.statbox-title {
    border-top-left-radius: 0.8rem;
    border-top-right-radius: 0.8rem;
}

.no-margins {
    margin: 0 !important;
}

.validation-message {
    color: #f74949;
    margin-top: 14px;
}

.mainmargin {
    padding-top: 3rem !important;
    padding-left: 4px !important;
    padding-right: 4px !important;
}

.pageGapClosed {
    margin-right: 0 !important;
}

.pageGapOpen {
    margin-right: 0 !important;
}

.gridWidthDynamicFull {
    width: 100% !important;
}

.gridWidthDynamicMenu {
    width: 100% !important;
}

.DialogClasserr {
    max-width: 600px;
}

.dialog-error-surface {
    background: #e12020bd;
}

.dialog-error-title {
    text-align: left;
    color: white;
}

.dialog-error-detail {
    color: white;
}

.dialog-error-detail-spaced {
    color: white;
    margin-bottom: 10px;
}

.dialog-header-left {
    text-align: left;
}

.main-content-fill,
.content-fill {
    height: 100%;
    width: 100%;
}

.content-fill-dark {
    height: 100%;
    width: 100%;
    background: #515151;
}

.content-fill-dark-scroll {
    height: 100vh;
    width: 100%;
    overflow-y: scroll !important;
    background: #515151;
}

.loginback {
    background: url(../images/bbbackeq.jpg) no-repeat center center fixed;
    min-height: 900px;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.e-input-filter e-input e-lib e-keyboard {
    font-size: large;
}

.e-ddl-device-filter .e-filter-parent {
    background-color: #111012;
}

.e-toolbar-container {
    height: auto !important;
}

.e-btn,
.e-css.e-btn {
    font-weight: 400 !important;
}

.e-btn {
    border-radius: 18px !important;
}

.e-dropdown-popup {
    border-radius: 10px !important;
}

.pager-display {
    font-weight: 100;
}

.e-dialog .e-dlg-content {
    padding: 6px;
}

.e-bigger.e-dialog .e-dlg-content {
    padding: 6px !important;
    padding-top: 0 !important;
}

.e-dialog .e-dlg-header-content {
    padding: 12px !important;
}

.e-dialog .e-footer-content {
    box-sizing: border-box;
    background: #212121;
    padding-top: 2px;
}

.blazor-error-ui-hidden {
    display: none;
}

.menu-width-38 {
    width: 38px;
}

.menu-width-38-top-neg3 {
    width: 38px;
    margin-top: -3px;
}

.menu-width-35-top2 {
    margin-top: 2px;
    width: 35px;
}

.menu-width-83-top2 {
    margin-top: 2px;
    width: 83px;
}

.menu-brand-countbricks {
    margin-top: 2px;
    width: 125px;
    font-weight: 500;
    letter-spacing: 0.3px;
    transition: all 0.25s ease;
}

.menu-brand-countbricks-text,
.text-white-force {
    color: white !important;
}

.text-greenyellow {
    color: greenyellow;
}

.menu-reminder-priority {
    margin-top: 4px;
}

.menu-toggle-icon-open {
    font-size: 22px;
    margin-left: 190px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.menu-toggle-icon-closed {
    font-size: 22px;
    margin-left: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.menu-hamburger {
    font-size: 28px;
    float: left;
    line-height: 50px;
    z-index: 997;
    color: white;
}

.menu-hamburger-app {
    margin-left: -5px;
    margin-top: -10px;
}

.menu-hamburger-app-hidden {
    margin-left: 108px;
    margin-top: -10px;
    visibility: hidden;
}

.menu-hamburger-wasm {
    margin-left: -5px;
    margin-top: -10px;
}

.menu-hamburger-wasm-hidden {
    margin-left: 108px;
    margin-top: -10px;
    visibility: hidden;
}

.menu-hamburger-mobile {
    margin-left: 2px;
    margin-top: -4px;
}

.menu-hamburger-mobile-hidden {
    margin-left: 108px;
    margin-top: -4px;
    visibility: hidden;
}

.mainMarginMenu {
    margin-left: 153px !important;
}

.mainMarginMenuClosed {
    margin-left: 0 !important;
}

.custmar {
    margin-left: -100px;
}

.e-listview.e-list-template .e-list-wrapper.e-list-multi-line .e-list-item-header {
    color: #cac3c3;
}

.e-listview.e-list-template .e-list-wrapper.e-list-multi-line .e-list-content {
    color: rgb(223 223 223 / 54%);
}

.e-dropdown-popup ul .e-item,
.e-dropdown-popup ul .e-item .e-menu-icon {
    line-height: 38px !important;
}

.e-dialog .e-btn .e-btn-icon.e-icon-dlg-close {
    margin-top: -8px;
    margin-left: -2px;
}

.e-listview .e-list-item,
.e-listview .e-list-item.e-hover,
.e-list-item:nth-child(even) {
    background: #424242 !important;
}

.e-list-item:nth-child(odd) {
    background: #424242e3 !important;
}

.e-list-item:nth-child(odd),
.e-list-item:nth-child(odd).e-hover {
    background: #555555;
}

.bellIcon::before,
.bellIconOn::before {
    content: "\f0f3";
    font-family: 'Font Awesome 6 Pro';
    font-size: large;
}

.bellIcon::before {
    color: dimgrey;
}

.bellIconOn::before {
    font-weight: bold;
    color: #97e297;
}

.cosLeft0 {
    width: 0 !important;
}

.cosLeft1 {
    width: 1px !important;
}

.e-M_Properties::before {
    content: '\e679';
}

.e-sidebar {
    margin-top: 40px;
    background: #212121 !important;
}

.e-sidebar li {
    list-style-type: none;
    cursor: pointer;
}

.hiddenmenu {
    visibility: hidden;
}

.visiblemenu {
    visibility: visible;
}

.e-menu-wrapper.dock-menu-open .e-menu {
    width: 220px;
}

.e-menu-wrapper.dock-menu-closed .e-menu {
    width: 30px;
}

.e-menu-wrapper.e-hamburger ul.e-menu .e-menu-item,
.e-menu-container.e-hamburger ul.e-menu .e-menu-item {
    text-indent: 5px !important;
    border-bottom-right-radius: 13px;
    margin: 2px;
}

#header.header-section,
#header .search-icon {
    height: 40px;
    background: #424242;
}

.workforcexwm #header.header-section,
.workforcexwm #header .search-icon {
    background: black;
}

.e-icons.e-tooltip-close {
    visibility: collapse;
}

#header {
    overflow: hidden;
    background-color: #333;
    position: fixed;
    top: 0;
    width: 100%;
}

#header .left-header,
#header .right-header {
    height: 35px;
    padding: 0;
}

#header .left-header {
    float: left;
}

#header .right-header {
    float: right;
}

#header .list {
    list-style: none;
    cursor: pointer;
    font-size: 14px;
    line-height: 35px;
}

#header .header-list {
    padding-left: 15px;
    margin: 0;
}

#header .search-icon {
    float: left;
    padding-left: 15px;
    border: 0 solid #33383e !important;
    background-color: #33383e;
    cursor: text;
    width: 10em;
}

#header .search-icon:focus {
    outline: none;
    cursor: default;
}

#header .header-list .horizontal-menu .e-menu-item {
    height: 35px;
    vertical-align: middle;
    font-size: 16px;
    line-height: 35px;
}

#header .e-menu-item .e-caret {
    line-height: 35px;
}

.e-btn-icon.fas.fa-cog.fa-2x,
.e-btn-icon.fas.fa-list.fa-2x,
.e-btn-icon.fas.fa-bell.fa-2x,
.e-menu-icon.fas.fa-home.fa-2x,
.e-menu-icon.fas.fa-search-dollar.fa-2x,
.e-menu-icon.far.fa-chart-bar.fa-2x,
.e-menu-icon.fas.fa-clipboard.fa-2x,
.e-menu-icon.fas.fa-project-diagram.fa-2x,
.e-menu-icon.fas.fa-user-friends.fa-2x,
.e-menu-icon.fas.fa-file-signature.fa-2x,
.e-menu-icon.fas.fa-building.fa-2x,
.e-menu-icon.fas.fa-male.fa-2x,
.e-menu-icon.fas.fa-undo.fa-2x,
.e-menu-icon.fas.fa-chart-bar.fa-2x,
.e-menu-icon.fas.fa-boxes.fa-2x,
.e-menu-icon.fas.fa-signature.fa-2x {
    font-size: 22px !important;
}

.e-menu-icon.fas.fa-tachometer-alt.fa-2x,
.e-menu-icon.fas.fa-house.fa-2x {
    font-size: 22px !important;
    margin-right: 11px !important;
}

.e-menu-icon.fas.fa-pencil-ruler.fa-2x {
    font-size: 22px !important;
    margin-right: 12px !important;
}

.e-menu-icon.fas.fa-clock.fa-2x {
    font-size: 22px !important;
}

.e-menu-icon.far.fa-calendar-alt.fa-2x,
.e-menu-icon.far.fa-user-hard-hat.fa-2x {
    font-size: 22px !important;
}

.e-menu-icon.fas.fa-user-hard-hat.fa-2x,
.e-menu-icon.fas.fa-briefcase.fa-2x {
    font-size: 22px !important;
    margin-right: 14px !important;
}

.e-menu-icon.fas.fa-file-invoice-dollar.fa-2x {
    font-size: 22px !important;
    margin-right: 18px !important;
}

.e-menu-icon.fas.fa-people-carry.fa-2x {
    font-size: 22px !important;
    margin-right: 8px !important;
}

.e-menu-icon.far.fa-clock.fa-2x {
    font-size: 22px !important;
    margin-right: 13px !important;
}

.mobStyle {
    margin-right: 22px !important;
}

.login-page-shell {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 20px;
    margin-right: 20px;
}

.login-card {
    background: #353434;
    border-radius: 10px;
    width: 400px;
    border: 1px solid rgba(255, 255, 255, 0.4);
}

.login-card-lite {
    background: #353434;
    border-radius: 10px;
    width: 400px;
}

.login-card-mobile,
.signup-card-mobile {
    background: #080808;
    border-radius: 10px;
    width: 330px;
}

.login-logo-row {
    align-items: center;
    text-align: center;
    justify-content: center;
}

.login-logo-row-mobile {
    align-items: top;
    text-align: center;
    justify-content: center;
    margin-top: -30px !important;
}

.login-title {
    font-size: 1.6rem;
    font-weight: 400;
    color: white;
}

.login-title-lite {
    font-size: 1.6rem;
}

.sr-zero {
    font-size: 0;
}

.login-divider,
.signup-divider {
    color: lightgrey;
    font-size: medium;
    font-weight: 200;
}

.signup-divider {
    font-size: small;
}

.login-label {
    color: white;
    min-width: 110px;
    font-weight: 200;
}

.login-label-lite,
.reset-label {
    color: white;
    min-width: 110px;
}

.login-alert-text {
    font-size: small;
    font-weight: 200;
}

.login-link-wrap,
.login-link-wrap span,
.login-link-wrap a,
.support-launcher,
.support-launcher a {
    color: white;
}

.login-link {
    color: #afb4fd !important;
    font-size: medium;
    font-weight: 200;
}

.login-link-lite {
    color: #afb4fd !important;
    font-size: medium;
}

.login-link-small {
    color: #afb4fd !important;
    font-size: small;
}

.login-google-btn {
    width: 191px;
    height: 46px;
}

.login-logo {
    width: 160px;
}

.login-logo-mobile {
    width: 160px;
    height: 90px;
}

.route-login .route-intro-text,
.route-reset-passwords .route-intro-text,
.route-signup .route-intro-text {
    font-size: 0;
}

.route-login .route-heading,
.route-index .route-heading,
.route-signup .route-heading,
.text-white {
    color: white !important;
}

.route-login .route-center-row,
.route-signup .route-center-row {
    justify-content: center;
    align-items: center;
}

.route-login .route-back-row,
.route-signup .route-back-row {
    align-items: top;
    text-align: left;
    justify-content: left;
}

.route-login .route-back-icon,
.route-signup .route-back-icon {
    color: white;
    font-size: x-large;
}

.route-signup .route-create-account-title {
    margin-top: -30px;
    margin-left: 40px;
    color: white;
}

.route-signup .route-full-height {
    height: 100%;
}

.route-signup .route-container-fluid-edge {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.route-signup .route-validation-small {
    font-size: small !important;
}

.route-signup .route-error-text {
    color: red;
    font-size: small;
}

.route-signup .route-industry-label {
    color: white;
}

.route-signup .route-terms-row {
    color: #9e9e9e8c;
    font-size: xx-small;
}

.route-index .route-max-500 {
    max-width: 500px;
}

.route-index .route-max-350 {
    max-width: 350px;
}

.route-index .route-weight-300 {
    font-weight: 300;
}

.route-index .route-title-dark {
    background: #0a0a0a;
}

.route-index .route-content-dark {
    background: #1e1d21;
}

.route-index .route-content-darker {
    background: #282828;
}

.route-index .route-white-text {
    color: white;
}

.route-caro .route-image-fill {
    height: 100%;
    width: 100%;
}

.route-caro .route-banner-wide {
    width: 100%;
    background: whitesmoke;
}

.route-reset-passwords .route-reset-title {
    color: black;
}

.route-company-change-logo .route-logo-preview {
    height: 100%;
    width: 300px;
}

.workforcex-website .page {
    position: relative;
    display: flex;
    flex-direction: column;
}

.workforcex-website .main {
    flex: 1;
}

.workforcex-website .top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.workforcex-website .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.workforcex-website .top-row ::deep a,
.workforcex-website .top-row .btn-link {
    white-space: nowrap;
    margin-left: 1.5rem;
}

.workforcex-website .nav-item ::deep a {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: flex;
    align-items: center;
    line-height: 3rem;
}

.workforcex-website .nav-item ::deep a.active {
    background-color: rgba(255, 255, 255, 0.25);
    color: white;
}

.workforcex-website .nav-item ::deep a:hover {
    background-color: rgba(255, 255, 255, 0.1);
    color: white;
}

.gtm-hidden-frame {
    display: none;
    visibility: hidden;
}

@media (max-width: 767.98px) {
    .main .top-row {
        display: none;
    }
}

@media (min-width: 768px) {
    .mainmargin {
        padding-top: 3rem !important;
        padding-left: 14px !important;
        padding-right: 14px !important;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

@media (max-width: 640.98px) {
    .workforcex-website .top-row:not(.auth) {
        display: none;
    }

    .workforcex-website .top-row.auth {
        justify-content: space-between;
    }

    .workforcex-website .top-row a,
    .workforcex-website .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .workforcex-website .page {
        flex-direction: row;
    }

    .workforcex-website .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .workforcex-website .top-row {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .workforcex-website .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

.workforcexwm .pageGapOpen,
.workforcexw .pageGapOpen {
    margin-right: 153px !important;
}

.workforcexw .e-bigger,
.workforcexwm .e-bigger {
    font-size: large !important;
}
